Create a lot
curl --request POST \
--url https://app.kenekt.com.au/v1/{agency_uid}/lots \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"project_uid": "PJ-1234567",
"property": {
"lot_number": "101",
"street_address": "Northam Drive",
"suburb": "North Rocks",
"state": "NSW",
"postcode": "2151",
"country": "AU",
"land_reg_date": "2024-01-01"
}
}
'import requests
url = "https://app.kenekt.com.au/v1/{agency_uid}/lots"
payload = {
"project_uid": "PJ-1234567",
"property": {
"lot_number": "101",
"street_address": "Northam Drive",
"suburb": "North Rocks",
"state": "NSW",
"postcode": "2151",
"country": "AU",
"land_reg_date": "2024-01-01"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
project_uid: 'PJ-1234567',
property: {
lot_number: '101',
street_address: 'Northam Drive',
suburb: 'North Rocks',
state: 'NSW',
postcode: '2151',
country: 'AU',
land_reg_date: '2024-01-01'
}
})
};
fetch('https://app.kenekt.com.au/v1/{agency_uid}/lots', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.kenekt.com.au/v1/{agency_uid}/lots",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'project_uid' => 'PJ-1234567',
'property' => [
'lot_number' => '101',
'street_address' => 'Northam Drive',
'suburb' => 'North Rocks',
'state' => 'NSW',
'postcode' => '2151',
'country' => 'AU',
'land_reg_date' => '2024-01-01'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.kenekt.com.au/v1/{agency_uid}/lots"
payload := strings.NewReader("{\n \"project_uid\": \"PJ-1234567\",\n \"property\": {\n \"lot_number\": \"101\",\n \"street_address\": \"Northam Drive\",\n \"suburb\": \"North Rocks\",\n \"state\": \"NSW\",\n \"postcode\": \"2151\",\n \"country\": \"AU\",\n \"land_reg_date\": \"2024-01-01\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.kenekt.com.au/v1/{agency_uid}/lots")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"project_uid\": \"PJ-1234567\",\n \"property\": {\n \"lot_number\": \"101\",\n \"street_address\": \"Northam Drive\",\n \"suburb\": \"North Rocks\",\n \"state\": \"NSW\",\n \"postcode\": \"2151\",\n \"country\": \"AU\",\n \"land_reg_date\": \"2024-01-01\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.kenekt.com.au/v1/{agency_uid}/lots")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"project_uid\": \"PJ-1234567\",\n \"property\": {\n \"lot_number\": \"101\",\n \"street_address\": \"Northam Drive\",\n \"suburb\": \"North Rocks\",\n \"state\": \"NSW\",\n \"postcode\": \"2151\",\n \"country\": \"AU\",\n \"land_reg_date\": \"2024-01-01\"\n }\n}"
response = http.request(request)
puts response.read_body{
"property": {
"public_uid": "LT-5404434",
"project_uid": "PJ-1234567",
"lot_number": "101",
"unit_number": null,
"street_number": null,
"street_address": "Northam Drive",
"suburb": "North Rocks",
"state": "NSW",
"postcode": "2151",
"region": "PARRAMATTA",
"country": "AU",
"status": "available",
"land_width": null,
"land_length": null,
"land_area": null,
"land_price": 0,
"developer": null,
"land_reg_date": "2024-01-01",
"title_type": null,
"title_fees": 0,
"builds_count": 0
}
}{
"errors": [
"Street address cannot be empty.",
"Country cannot be empty.",
"Land reg date cannot be empty."
]
}Stock / Lots
Create a lot
Adds a lot to a project.
POST
/
{agency_uid}
/
lots
Create a lot
curl --request POST \
--url https://app.kenekt.com.au/v1/{agency_uid}/lots \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"project_uid": "PJ-1234567",
"property": {
"lot_number": "101",
"street_address": "Northam Drive",
"suburb": "North Rocks",
"state": "NSW",
"postcode": "2151",
"country": "AU",
"land_reg_date": "2024-01-01"
}
}
'import requests
url = "https://app.kenekt.com.au/v1/{agency_uid}/lots"
payload = {
"project_uid": "PJ-1234567",
"property": {
"lot_number": "101",
"street_address": "Northam Drive",
"suburb": "North Rocks",
"state": "NSW",
"postcode": "2151",
"country": "AU",
"land_reg_date": "2024-01-01"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
project_uid: 'PJ-1234567',
property: {
lot_number: '101',
street_address: 'Northam Drive',
suburb: 'North Rocks',
state: 'NSW',
postcode: '2151',
country: 'AU',
land_reg_date: '2024-01-01'
}
})
};
fetch('https://app.kenekt.com.au/v1/{agency_uid}/lots', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.kenekt.com.au/v1/{agency_uid}/lots",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'project_uid' => 'PJ-1234567',
'property' => [
'lot_number' => '101',
'street_address' => 'Northam Drive',
'suburb' => 'North Rocks',
'state' => 'NSW',
'postcode' => '2151',
'country' => 'AU',
'land_reg_date' => '2024-01-01'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.kenekt.com.au/v1/{agency_uid}/lots"
payload := strings.NewReader("{\n \"project_uid\": \"PJ-1234567\",\n \"property\": {\n \"lot_number\": \"101\",\n \"street_address\": \"Northam Drive\",\n \"suburb\": \"North Rocks\",\n \"state\": \"NSW\",\n \"postcode\": \"2151\",\n \"country\": \"AU\",\n \"land_reg_date\": \"2024-01-01\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.kenekt.com.au/v1/{agency_uid}/lots")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"project_uid\": \"PJ-1234567\",\n \"property\": {\n \"lot_number\": \"101\",\n \"street_address\": \"Northam Drive\",\n \"suburb\": \"North Rocks\",\n \"state\": \"NSW\",\n \"postcode\": \"2151\",\n \"country\": \"AU\",\n \"land_reg_date\": \"2024-01-01\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.kenekt.com.au/v1/{agency_uid}/lots")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"project_uid\": \"PJ-1234567\",\n \"property\": {\n \"lot_number\": \"101\",\n \"street_address\": \"Northam Drive\",\n \"suburb\": \"North Rocks\",\n \"state\": \"NSW\",\n \"postcode\": \"2151\",\n \"country\": \"AU\",\n \"land_reg_date\": \"2024-01-01\"\n }\n}"
response = http.request(request)
puts response.read_body{
"property": {
"public_uid": "LT-5404434",
"project_uid": "PJ-1234567",
"lot_number": "101",
"unit_number": null,
"street_number": null,
"street_address": "Northam Drive",
"suburb": "North Rocks",
"state": "NSW",
"postcode": "2151",
"region": "PARRAMATTA",
"country": "AU",
"status": "available",
"land_width": null,
"land_length": null,
"land_area": null,
"land_price": 0,
"developer": null,
"land_reg_date": "2024-01-01",
"title_type": null,
"title_fees": 0,
"builds_count": 0
}
}{
"errors": [
"Street address cannot be empty.",
"Country cannot be empty.",
"Land reg date cannot be empty."
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Agency public_uid
Response
Created
Show child attributes
Show child attributes